    /*
     *  call-seq:
     *     index_reader.term_docs -> TermDocEnum
     *
     *  Builds a TermDocEnum (term-document enumerator) for the index. You can use
     *  this object to iterate through the documents in which certain terms occur.
     *  See TermDocEnum for more info.
     */
    static VALUE
    frb_ir_term_docs(VALUE self)
    {
        IndexReader *ir = (IndexReader *)DATA_PTR(self);
        return frb_get_tde(self, ir->term_docs(ir));
    }